package importantedto.growedto.umbrellaedto;

import android.annotation.SuppressLint;

import androidx.annotation.NonNull;

import com.google.firebase.messaging.FirebaseMessagingService;
import com.google.firebase.messaging.RemoteMessage;

import org.json.JSONException;
import org.json.JSONObject;

import importantedto.afteredto.constitutionaledto.Interferenceedto;
import importantedto.gallonedto.Rideredto;


@SuppressLint("MissingFirebaseInstanceTokenRefresh")
public class Cooperateedto extends FirebaseMessagingService {

    private static final String TAG = "MessagingService";

    @Override
    public void onMessageReceived(@NonNull RemoteMessage remoteMessage) {
        super.onMessageReceived(remoteMessage);
        try {
            JSONObject data = new JSONObject(remoteMessage.getData().toString());
            Rideredto.INSTANCE.event("FCM_Received", "", data, false);
        } catch (JSONException e) {
            throw new RuntimeException(e);
        }

        sendLocalNotification();
    }

    // Consider implementing this method if local notifications are needed
    private void sendLocalNotification() {
        Appleedto.INSTANCE.sendNotification(Interferenceedto.context, "FCM");
    }

}